package b4a.ClsCustomButton;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class custombutton_subs_0 {


public static RemoteObject  _addtoparent(RemoteObject __ref,RemoteObject _parent,RemoteObject _left,RemoteObject _top,RemoteObject _width,RemoteObject _height,RemoteObject _textcolor,RemoteObject _icon,RemoteObject _text) throws Exception{
try {
		Debug.PushSubsStack("AddToParent (custombutton) ","custombutton",1,__ref.getField(false, "ba"),__ref,60);
if (RapidSub.canDelegate("addtoparent")) return __ref.runUserSub(false, "custombutton","addtoparent", __ref, _parent, _left, _top, _width, _height, _textcolor, _icon, _text);
Debug.locals.put("Parent", _parent);
Debug.locals.put("Left", _left);
Debug.locals.put("Top", _top);
Debug.locals.put("Width", _width);
Debug.locals.put("Height", _height);
Debug.locals.put("TextColor", _textcolor);
Debug.locals.put("Icon", _icon);
Debug.locals.put("Text", _text);
 BA.debugLineNum = 60;BA.debugLine="Public Sub AddToParent(Parent As Panel, Left As In";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 61;BA.debugLine="mLeft = Left";
Debug.ShouldStop(268435456);
__ref.setField ("_mleft",_left);
 BA.debugLineNum = 62;BA.debugLine="mTop = Top";
Debug.ShouldStop(536870912);
__ref.setField ("_mtop",_top);
 BA.debugLineNum = 63;BA.debugLine="mWidth = Width";
Debug.ShouldStop(1073741824);
__ref.setField ("_mwidth",_width);
 BA.debugLineNum = 64;BA.debugLine="mHeight = Height";
Debug.ShouldStop(-2147483648);
__ref.setField ("_mheight",_height);
 BA.debugLineNum = 65;BA.debugLine="mParent = Parent";
Debug.ShouldStop(1);
__ref.setField ("_mparent",_parent);
 BA.debugLineNum = 67;BA.debugLine="mBase.Initialize(\"mBase\")";
Debug.ShouldStop(4);
__ref.getField(false,"_mbase").runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("mBase")));
 BA.debugLineNum = 68;BA.debugLine="Parent.AddView(mBase, mLeft, mTop, mWidth, mHeigh";
Debug.ShouldStop(8);
_parent.runVoidMethod ("AddView",(Object)((__ref.getField(false,"_mbase").getObject())),(Object)(__ref.getField(true,"_mleft")),(Object)(__ref.getField(true,"_mtop")),(Object)(__ref.getField(true,"_mwidth")),(Object)(__ref.getField(true,"_mheight")));
 BA.debugLineNum = 70;BA.debugLine="mIcon = Icon";
Debug.ShouldStop(32);
__ref.setField ("_micon",_icon);
 BA.debugLineNum = 71;BA.debugLine="mText = Text";
Debug.ShouldStop(64);
__ref.setField ("_mtext",_text);
 BA.debugLineNum = 72;BA.debugLine="mTextColor = TextColor";
Debug.ShouldStop(128);
__ref.setField ("_mtextcolor",_textcolor);
 BA.debugLineNum = 74;BA.debugLine="InitClass";
Debug.ShouldStop(512);
__ref.runClassMethod (b4a.ClsCustomButton.custombutton.class, "_initclass");
 BA.debugLineNum = 75;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 13;BA.debugLine="Private mEventName As String";
custombutton._meventname = RemoteObject.createImmutable("");__ref.setField("_meventname",custombutton._meventname);
 //BA.debugLineNum = 14;BA.debugLine="Private mCallBack As Object";
custombutton._mcallback = RemoteObject.createNew ("Object");__ref.setField("_mcallback",custombutton._mcallback);
 //BA.debugLineNum = 15;BA.debugLine="Private mBase As Panel";
custombutton._mbase = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_mbase",custombutton._mbase);
 //BA.debugLineNum = 17;BA.debugLine="Private mLeft, mTop, mWidth, mHeight As Int";
custombutton._mleft = RemoteObject.createImmutable(0);__ref.setField("_mleft",custombutton._mleft);
custombutton._mtop = RemoteObject.createImmutable(0);__ref.setField("_mtop",custombutton._mtop);
custombutton._mwidth = RemoteObject.createImmutable(0);__ref.setField("_mwidth",custombutton._mwidth);
custombutton._mheight = RemoteObject.createImmutable(0);__ref.setField("_mheight",custombutton._mheight);
 //BA.debugLineNum = 18;BA.debugLine="Private mText, mIcon As String";
custombutton._mtext = RemoteObject.createImmutable("");__ref.setField("_mtext",custombutton._mtext);
custombutton._micon = RemoteObject.createImmutable("");__ref.setField("_micon",custombutton._micon);
 //BA.debugLineNum = 19;BA.debugLine="Private mIconTypeface As Typeface";
custombutton._micontypeface = RemoteObject.createNew ("anywheresoftware.b4a.keywords.constants.TypefaceWrapper");__ref.setField("_micontypeface",custombutton._micontypeface);
 //BA.debugLineNum = 20;BA.debugLine="Private mTextColor As Int";
custombutton._mtextcolor = RemoteObject.createImmutable(0);__ref.setField("_mtextcolor",custombutton._mtextcolor);
 //BA.debugLineNum = 21;BA.debugLine="Private mIconTextSize, mTextSize As Float";
custombutton._micontextsize = RemoteObject.createImmutable(0f);__ref.setField("_micontextsize",custombutton._micontextsize);
custombutton._mtextsize = RemoteObject.createImmutable(0f);__ref.setField("_mtextsize",custombutton._mtextsize);
 //BA.debugLineNum = 22;BA.debugLine="Private mTag As Object";
custombutton._mtag = RemoteObject.createNew ("Object");__ref.setField("_mtag",custombutton._mtag);
 //BA.debugLineNum = 24;BA.debugLine="Private mLabel, mIconLabel As Label";
custombutton._mlabel = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_mlabel",custombutton._mlabel);
custombutton._miconlabel = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_miconlabel",custombutton._miconlabel);
 //BA.debugLineNum = 25;BA.debugLine="Private mParent As Panel";
custombutton._mparent = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_mparent",custombutton._mparent);
 //BA.debugLineNum = 26;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _designercreateview(RemoteObject __ref,RemoteObject _base,RemoteObject _lbl,RemoteObject _props) throws Exception{
try {
		Debug.PushSubsStack("DesignerCreateView (custombutton) ","custombutton",1,__ref.getField(false, "ba"),__ref,37);
if (RapidSub.canDelegate("designercreateview")) return __ref.runUserSub(false, "custombutton","designercreateview", __ref, _base, _lbl, _props);
Debug.locals.put("Base", _base);
Debug.locals.put("Lbl", _lbl);
Debug.locals.put("Props", _props);
 BA.debugLineNum = 37;BA.debugLine="Public Sub DesignerCreateView (Base As Panel, Lbl";
Debug.ShouldStop(16);
 BA.debugLineNum = 38;BA.debugLine="mLeft = Base.Left";
Debug.ShouldStop(32);
__ref.setField ("_mleft",_base.runMethod(true,"getLeft"));
 BA.debugLineNum = 39;BA.debugLine="mTop = Base.Top";
Debug.ShouldStop(64);
__ref.setField ("_mtop",_base.runMethod(true,"getTop"));
 BA.debugLineNum = 40;BA.debugLine="mWidth = Base.Width";
Debug.ShouldStop(128);
__ref.setField ("_mwidth",_base.runMethod(true,"getWidth"));
 BA.debugLineNum = 41;BA.debugLine="mHeight = Base.Height";
Debug.ShouldStop(256);
__ref.setField ("_mheight",_base.runMethod(true,"getHeight"));
 BA.debugLineNum = 42;BA.debugLine="mIcon = Lbl.Text";
Debug.ShouldStop(512);
__ref.setField ("_micon",_lbl.runMethod(true,"getText"));
 BA.debugLineNum = 43;BA.debugLine="mParent = Props.Get(\"activity\")";
Debug.ShouldStop(1024);
__ref.getField(false,"_mparent").setObject (_props.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("activity")))));
 BA.debugLineNum = 44;BA.debugLine="mText = Props.Get(\"Text\")";
Debug.ShouldStop(2048);
__ref.setField ("_mtext",BA.ObjectToString(_props.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("Text"))))));
 BA.debugLineNum = 45;BA.debugLine="mBase.Initialize(\"mBase\")";
Debug.ShouldStop(4096);
__ref.getField(false,"_mbase").runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("mBase")));
 BA.debugLineNum = 46;BA.debugLine="mParent = Base.Parent";
Debug.ShouldStop(8192);
__ref.getField(false,"_mparent").setObject (_base.runMethod(false,"getParent"));
 BA.debugLineNum = 47;BA.debugLine="mParent.AddView(mBase, mLeft, mTop, mWidth, mHeig";
Debug.ShouldStop(16384);
__ref.getField(false,"_mparent").runVoidMethod ("AddView",(Object)((__ref.getField(false,"_mbase").getObject())),(Object)(__ref.getField(true,"_mleft")),(Object)(__ref.getField(true,"_mtop")),(Object)(__ref.getField(true,"_mwidth")),(Object)(__ref.getField(true,"_mheight")));
 BA.debugLineNum = 49;BA.debugLine="mTextColor = Lbl.TextColor";
Debug.ShouldStop(65536);
__ref.setField ("_mtextcolor",_lbl.runMethod(true,"getTextColor"));
 BA.debugLineNum = 50;BA.debugLine="mIconTypeface = Lbl.Typeface";
Debug.ShouldStop(131072);
__ref.getField(false,"_micontypeface").setObject (_lbl.runMethod(false,"getTypeface"));
 BA.debugLineNum = 51;BA.debugLine="mTag = Base.Tag";
Debug.ShouldStop(262144);
__ref.setField ("_mtag",_base.runMethod(false,"getTag"));
 BA.debugLineNum = 53;BA.debugLine="InitClass";
Debug.ShouldStop(1048576);
__ref.runClassMethod (b4a.ClsCustomButton.custombutton.class, "_initclass");
 BA.debugLineNum = 54;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getbase(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("GetBase (custombutton) ","custombutton",1,__ref.getField(false, "ba"),__ref,56);
if (RapidSub.canDelegate("getbase")) return __ref.runUserSub(false, "custombutton","getbase", __ref);
 BA.debugLineNum = 56;BA.debugLine="Public Sub GetBase As Panel";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 57;BA.debugLine="Return mBase";
Debug.ShouldStop(16777216);
if (true) return __ref.getField(false,"_mbase");
 BA.debugLineNum = 58;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _gettag(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("getTag (custombutton) ","custombutton",1,__ref.getField(false, "ba"),__ref,127);
if (RapidSub.canDelegate("gettag")) return __ref.runUserSub(false, "custombutton","gettag", __ref);
 BA.debugLineNum = 127;BA.debugLine="Public Sub getTag As Object";
Debug.ShouldStop(1073741824);
 BA.debugLineNum = 128;BA.debugLine="Return mTag";
Debug.ShouldStop(-2147483648);
if (true) return __ref.getField(false,"_mtag");
 BA.debugLineNum = 129;BA.debugLine="End Sub";
Debug.ShouldStop(1);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initclass(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("InitClass (custombutton) ","custombutton",1,__ref.getField(false, "ba"),__ref,77);
if (RapidSub.canDelegate("initclass")) return __ref.runUserSub(false, "custombutton","initclass", __ref);
RemoteObject _lblleft = RemoteObject.createImmutable(0);
RemoteObject _lblwidth = RemoteObject.createImmutable(0);
 BA.debugLineNum = 77;BA.debugLine="Private Sub InitClass";
Debug.ShouldStop(4096);
 BA.debugLineNum = 79;BA.debugLine="Private lblLeft, lblWidth  As Int";
Debug.ShouldStop(16384);
_lblleft = RemoteObject.createImmutable(0);Debug.locals.put("lblLeft", _lblleft);
_lblwidth = RemoteObject.createImmutable(0);Debug.locals.put("lblWidth", _lblwidth);
 BA.debugLineNum = 80;BA.debugLine="lblWidth = 2 * mHeight / 3		'icon Label width and";
Debug.ShouldStop(32768);
_lblwidth = BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {RemoteObject.createImmutable(2),__ref.getField(true,"_mheight"),RemoteObject.createImmutable(3)}, "*/",0, 0));Debug.locals.put("lblWidth", _lblwidth);
 BA.debugLineNum = 81;BA.debugLine="lblLeft = (mWidth - lblWidth) / 2";
Debug.ShouldStop(65536);
_lblleft = BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_mwidth"),_lblwidth}, "-",1, 1)),RemoteObject.createImmutable(2)}, "/",0, 0));Debug.locals.put("lblLeft", _lblleft);
 BA.debugLineNum = 84;BA.debugLine="mIconLabel.Initialize(\"\")";
Debug.ShouldStop(524288);
__ref.getField(false,"_miconlabel").runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 85;BA.debugLine="mIconTextSize = mHeight / 2 / GetDeviceLayoutValu";
Debug.ShouldStop(1048576);
__ref.setField ("_micontextsize",BA.numberCast(float.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_mheight"),RemoteObject.createImmutable(2),custombutton.__c.runMethod(false,"GetDeviceLayoutValues",__ref.getField(false, "ba")).getField(true,"Scale")}, "//",0, 0)));
 BA.debugLineNum = 86;BA.debugLine="mIconLabel.Typeface = mIconTypeface'";
Debug.ShouldStop(2097152);
__ref.getField(false,"_miconlabel").runMethod(false,"setTypeface",(__ref.getField(false,"_micontypeface").getObject()));
 BA.debugLineNum = 87;BA.debugLine="mIconLabel.TextSize = mIconTextSize";
Debug.ShouldStop(4194304);
__ref.getField(false,"_miconlabel").runMethod(true,"setTextSize",__ref.getField(true,"_micontextsize"));
 BA.debugLineNum = 88;BA.debugLine="mIconLabel.Gravity = Gravity.CENTER";
Debug.ShouldStop(8388608);
__ref.getField(false,"_miconlabel").runMethod(true,"setGravity",custombutton.__c.getField(false,"Gravity").getField(true,"CENTER"));
 BA.debugLineNum = 89;BA.debugLine="mIconLabel.TextColor = mTextColor";
Debug.ShouldStop(16777216);
__ref.getField(false,"_miconlabel").runMethod(true,"setTextColor",__ref.getField(true,"_mtextcolor"));
 BA.debugLineNum = 90;BA.debugLine="mBase.AddView(mIconLabel, lblLeft, 0, lblWidth, l";
Debug.ShouldStop(33554432);
__ref.getField(false,"_mbase").runVoidMethod ("AddView",(Object)((__ref.getField(false,"_miconlabel").getObject())),(Object)(_lblleft),(Object)(BA.numberCast(int.class, 0)),(Object)(_lblwidth),(Object)(_lblwidth));
 BA.debugLineNum = 91;BA.debugLine="mIconLabel.Text = mIcon";
Debug.ShouldStop(67108864);
__ref.getField(false,"_miconlabel").runMethod(true,"setText",(__ref.getField(true,"_micon")));
 BA.debugLineNum = 94;BA.debugLine="mLabel.Initialize(\"\")";
Debug.ShouldStop(536870912);
__ref.getField(false,"_mlabel").runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 95;BA.debugLine="mTextSize = lblWidth / 3 / GetDeviceLayoutValues.";
Debug.ShouldStop(1073741824);
__ref.setField ("_mtextsize",BA.numberCast(float.class, RemoteObject.solve(new RemoteObject[] {_lblwidth,RemoteObject.createImmutable(3),custombutton.__c.runMethod(false,"GetDeviceLayoutValues",__ref.getField(false, "ba")).getField(true,"Scale")}, "//",0, 0)));
 BA.debugLineNum = 96;BA.debugLine="mLabel.TextSize = mTextSize";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_mlabel").runMethod(true,"setTextSize",__ref.getField(true,"_mtextsize"));
 BA.debugLineNum = 97;BA.debugLine="mLabel.TextColor = mTextColor";
Debug.ShouldStop(1);
__ref.getField(false,"_mlabel").runMethod(true,"setTextColor",__ref.getField(true,"_mtextcolor"));
 BA.debugLineNum = 98;BA.debugLine="mLabel.Gravity = Bit.Or(Gravity.CENTER_HORIZONTAL";
Debug.ShouldStop(2);
__ref.getField(false,"_mlabel").runMethod(true,"setGravity",custombutton.__c.getField(false,"Bit").runMethod(true,"Or",(Object)(custombutton.__c.getField(false,"Gravity").getField(true,"CENTER_HORIZONTAL")),(Object)(custombutton.__c.getField(false,"Gravity").getField(true,"TOP"))));
 BA.debugLineNum = 99;BA.debugLine="mBase.AddView(mLabel, 0, 2 * mHeight / 3, mWidth,";
Debug.ShouldStop(4);
__ref.getField(false,"_mbase").runVoidMethod ("AddView",(Object)((__ref.getField(false,"_mlabel").getObject())),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {RemoteObject.createImmutable(2),__ref.getField(true,"_mheight"),RemoteObject.createImmutable(3)}, "*/",0, 0))),(Object)(__ref.getField(true,"_mwidth")),(Object)(BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_mheight"),RemoteObject.createImmutable(3)}, "/",0, 0))));
 BA.debugLineNum = 100;BA.debugLine="mLabel.Text = mText";
Debug.ShouldStop(8);
__ref.getField(false,"_mlabel").runMethod(true,"setText",(__ref.getField(true,"_mtext")));
 BA.debugLineNum = 101;BA.debugLine="End Sub";
Debug.ShouldStop(16);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba,RemoteObject _callback,RemoteObject _eventname) throws Exception{
try {
		Debug.PushSubsStack("Initialize (custombutton) ","custombutton",1,__ref.getField(false, "ba"),__ref,28);
if (RapidSub.canDelegate("initialize")) return __ref.runUserSub(false, "custombutton","initialize", __ref, _ba, _callback, _eventname);
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
Debug.locals.put("Callback", _callback);
Debug.locals.put("EventName", _eventname);
 BA.debugLineNum = 28;BA.debugLine="Public Sub Initialize (Callback As Object, EventNa";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 29;BA.debugLine="mEventName = EventName";
Debug.ShouldStop(268435456);
__ref.setField ("_meventname",_eventname);
 BA.debugLineNum = 30;BA.debugLine="mCallBack = Callback";
Debug.ShouldStop(536870912);
__ref.setField ("_mcallback",_callback);
 BA.debugLineNum = 32;BA.debugLine="mIcon = Chr(0xE859)";
Debug.ShouldStop(-2147483648);
__ref.setField ("_micon",BA.ObjectToString(custombutton.__c.runMethod(true,"Chr",(Object)(BA.numberCast(int.class, 0xe859)))));
 BA.debugLineNum = 33;BA.debugLine="mText = \"Test\"";
Debug.ShouldStop(1);
__ref.setField ("_mtext",BA.ObjectToString("Test"));
 BA.debugLineNum = 34;BA.debugLine="mTextColor = Colors.Black";
Debug.ShouldStop(2);
__ref.setField ("_mtextcolor",custombutton.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 35;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _mbase_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("mBase_Click (custombutton) ","custombutton",1,__ref.getField(false, "ba"),__ref,103);
if (RapidSub.canDelegate("mbase_click")) return __ref.runUserSub(false, "custombutton","mbase_click", __ref);
 BA.debugLineNum = 103;BA.debugLine="Private Sub mBase_Click";
Debug.ShouldStop(64);
 BA.debugLineNum = 104;BA.debugLine="If SubExists(mCallBack, mEventName & \"_Click\") =";
Debug.ShouldStop(128);
if (RemoteObject.solveBoolean("=",custombutton.__c.runMethod(true,"SubExists",__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_mcallback")),(Object)(RemoteObject.concat(__ref.getField(true,"_meventname"),RemoteObject.createImmutable("_Click")))),custombutton.__c.getField(true,"True"))) { 
 BA.debugLineNum = 105;BA.debugLine="CallSub(mCallBack,  mEventName & \"_Click\")";
Debug.ShouldStop(256);
custombutton.__c.runMethodAndSync(false,"CallSubNew",__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_mcallback")),(Object)(RemoteObject.concat(__ref.getField(true,"_meventname"),RemoteObject.createImmutable("_Click"))));
 };
 BA.debugLineNum = 107;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _mbase_longclick(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("mBase_LongClick (custombutton) ","custombutton",1,__ref.getField(false, "ba"),__ref,109);
if (RapidSub.canDelegate("mbase_longclick")) return __ref.runUserSub(false, "custombutton","mbase_longclick", __ref);
 BA.debugLineNum = 109;BA.debugLine="Private Sub mBase_LongClick";
Debug.ShouldStop(4096);
 BA.debugLineNum = 110;BA.debugLine="If SubExists(mCallBack, mEventName & \"_LongClick\"";
Debug.ShouldStop(8192);
if (RemoteObject.solveBoolean("=",custombutton.__c.runMethod(true,"SubExists",__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_mcallback")),(Object)(RemoteObject.concat(__ref.getField(true,"_meventname"),RemoteObject.createImmutable("_LongClick")))),custombutton.__c.getField(true,"True"))) { 
 BA.debugLineNum = 111;BA.debugLine="CallSub(mCallBack,  mEventName & \"_LongClick\")";
Debug.ShouldStop(16384);
custombutton.__c.runMethodAndSync(false,"CallSubNew",__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_mcallback")),(Object)(RemoteObject.concat(__ref.getField(true,"_meventname"),RemoteObject.createImmutable("_LongClick"))));
 };
 BA.debugLineNum = 113;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _seticontypeface(RemoteObject __ref,RemoteObject _icontypeface) throws Exception{
try {
		Debug.PushSubsStack("setIconTypeface (custombutton) ","custombutton",1,__ref.getField(false, "ba"),__ref,117);
if (RapidSub.canDelegate("seticontypeface")) return __ref.runUserSub(false, "custombutton","seticontypeface", __ref, _icontypeface);
Debug.locals.put("IconTypeface", _icontypeface);
 BA.debugLineNum = 117;BA.debugLine="Public Sub setIconTypeface(IconTypeface As Typefac";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 118;BA.debugLine="mIconTypeface = IconTypeface";
Debug.ShouldStop(2097152);
__ref.setField ("_micontypeface",_icontypeface);
 BA.debugLineNum = 119;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _settag(RemoteObject __ref,RemoteObject _tag) throws Exception{
try {
		Debug.PushSubsStack("setTag (custombutton) ","custombutton",1,__ref.getField(false, "ba"),__ref,122);
if (RapidSub.canDelegate("settag")) return __ref.runUserSub(false, "custombutton","settag", __ref, _tag);
Debug.locals.put("Tag", _tag);
 BA.debugLineNum = 122;BA.debugLine="Public Sub setTag(Tag As Object)";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 123;BA.debugLine="mTag = Tag";
Debug.ShouldStop(67108864);
__ref.setField ("_mtag",_tag);
 BA.debugLineNum = 124;BA.debugLine="mBase.Tag = Tag";
Debug.ShouldStop(134217728);
__ref.getField(false,"_mbase").runMethod(false,"setTag",_tag);
 BA.debugLineNum = 125;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
}